[pkg-java] r2633 - in trunk/eclipse/debian: . extra patches

Matthias Klose doko at costa.debian.org
Sun Oct 22 02:26:59 UTC 2006


Author: doko
Date: 2006-10-22 02:26:58 +0000 (Sun, 22 Oct 2006)
New Revision: 2633

Added:
   trunk/eclipse/debian/patches/eclipse-jsch-build-files.dpatch
Modified:
   trunk/eclipse/debian/changelog
   trunk/eclipse/debian/extra/links.txt
   trunk/eclipse/debian/extra/package-links.txt
   trunk/eclipse/debian/rules
Log:
 * Build jsch as a eclipse plugin.


Modified: trunk/eclipse/debian/changelog
===================================================================
--- trunk/eclipse/debian/changelog	2006-10-19 21:09:16 UTC (rev 2632)
+++ trunk/eclipse/debian/changelog	2006-10-22 02:26:58 UTC (rev 2633)
@@ -1,4 +1,4 @@
-eclipse (3.2.1-1) unstable; urgency=low
+eclipse (3.2.1-0) unstable; urgency=low
 
   [ Michael Koch ]
   * New upstream version.
@@ -62,8 +62,11 @@
   * debian/extras/eclipse.sh: Remove mozilla error dialog.
   * debian/control.in: Let eclipse recommend eclipse-gcj.
 
- -- Michael Koch <konqueror at gmx.de>  Tue,  3 Oct 2006 17:22:09 +0000
+  [ Vladimir Lapacek ]
+  * Build jsch as a eclipse plugin.
 
+ -- Matthias Klose <doko at debian.org>  Sun, 22 Oct 2006 04:25:47 +0200
+
 eclipse (3.1.2-3) experimental; urgency=low
 
   [ Michael Koch ]

Modified: trunk/eclipse/debian/extra/links.txt
===================================================================
--- trunk/eclipse/debian/extra/links.txt	2006-10-19 21:09:16 UTC (rev 2632)
+++ trunk/eclipse/debian/extra/links.txt	2006-10-22 02:26:58 UTC (rev 2633)
@@ -41,4 +41,3 @@
 /usr/share/ant/lib/ant-swing.jar                    org.apache.ant/lib/ant-swing.jar
 /usr/share/java/lucene-1.4.3.jar                    org.apache.lucene/lucene-1.4.3.jar
 /usr/share/java/junit.jar                           org.junit/junit.jar
-/usr/share/java/jsch.jar                            ../baseLocation/plugins/com.jcraft.jsch_0.1.28.jar

Modified: trunk/eclipse/debian/extra/package-links.txt
===================================================================
--- trunk/eclipse/debian/extra/package-links.txt	2006-10-19 21:09:16 UTC (rev 2632)
+++ trunk/eclipse/debian/extra/package-links.txt	2006-10-22 02:26:58 UTC (rev 2633)
@@ -40,5 +40,4 @@
 /usr/share/ant/lib/ant-trax.jar                     org.apache.ant_1.6.5/lib/ant-trax.jar
 /usr/share/ant/lib/ant-swing.jar                    org.apache.ant_1.6.5/lib/ant-swing.jar
 /usr/share/java/lucene-1.4.3.jar                    org.apache.lucene_1.4.3/lucene-1.4.103.v20060601.jar
-/usr/share/java/jsch.jar                            com.jcraft.jsch_0.1.28.jar
 /usr/share/java/junit.jar                           org.junit_3.8.1/junit.jar

Added: trunk/eclipse/debian/patches/eclipse-jsch-build-files.dpatch
===================================================================
--- trunk/eclipse/debian/patches/eclipse-jsch-build-files.dpatch	                        (rev 0)
+++ trunk/eclipse/debian/patches/eclipse-jsch-build-files.dpatch	2006-10-22 02:26:58 UTC (rev 2633)
@@ -0,0 +1,167 @@
+#! /bin/sh -e
+##
+## DP: Debian specific patch, converted from eclipse-jsch-build-files.patch
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+	patch $patch_opts -p0 < $0;;
+    -unpatch)
+	patch $patch_opts -p0 -R < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1;;
+esac
+exit 0
+
+ at DPATCH@
+diff -ruN source-tree/baseLocation/plugins/jsch-0.1.28.orig/build.xml source-tree/baseLocation/plugins/jsch-0.1.28/build.xml
+--- source-tree/baseLocation/plugins/jsch-0.1.28.orig/build.xml	2003-05-20 08:48:05.000000000 +0200
++++ source-tree/baseLocation/plugins/jsch-0.1.28/build.xml	2006-10-17 23:43:49.000000000 +0200
+@@ -13,6 +13,7 @@
+   <property name="dist"  location="dist"/>
+   <property name="javadoc" location="javadoc"/>
+   <property name="javac.debug" value="false"/>
++  <property name="resources" value="resources"/>
+   <path id="project.cp">
+     <pathelement location="${build}"/>
+   </path>
+@@ -42,7 +43,10 @@
+     <mkdir dir="${dist}/lib"/>
+ 
+     <!-- Put everything in ${build} into the MyProject-${DSTAMP}.jar file -->
+-    <jar jarfile="${dist}/lib/jsch-${DSTAMP}.jar" basedir="${build}"/>
++    <jar jarfile="${dist}/lib/com.jcraft.jsch_0.1.28.jar" manifest="${resources}/META-INF/MANIFEST.MF">
++      <fileset dir="${build}"/>
++      <fileset dir="${resources}"/>
++    </jar>
+   </target>
+ 
+   <target name="examples"
+diff -ruN source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/about.html source-tree/baseLocation/plugins/jsch-0.1.28/resources/about.html
+--- source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/about.html	1970-01-01 01:00:00.000000000 +0100
++++ source-tree/baseLocation/plugins/jsch-0.1.28/resources/about.html	2006-06-01 10:00:00.000000000 +0200
+@@ -0,0 +1,77 @@
++<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
++    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
++<html xmlns="http://www.w3.org/1999/xhtml">
++<head>
++<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
++<title>About</title>
++</head>
++<body lang="EN-US">
++<h2>About This Content</h2>
++ 
++<p>May 11, 2006</p>	
++<h3>License</h3>
++
++<p>The Eclipse Foundation makes available all content in this plug-in (&quot;Content&quot;).  Unless otherwise 
++indicated below, the Content is provided to you under the terms and conditions of the
++Eclipse Public License Version 1.0 (&quot;EPL&quot;).  A copy of the EPL is available 
++at <a href="http://www.eclipse.org/legal/epl-v10.html">http://www.eclipse.org/legal/epl-v10.html</a>.
++For purposes of the EPL, &quot;Program&quot; will mean the Content.</p>
++
++<p>If you did not receive this Content directly from the Eclipse Foundation, the Content is 
++being redistributed by another party (&quot;Redistributor&quot;) and different terms and conditions may
++apply to your use of any object code in the Content.  Check the Redistributor's license that was 
++provided with the Content.  If no such license exists, contact the Redistributor.  Unless otherwise
++indicated below, the terms and conditions of the EPL still apply to any source code in the Content
++and such source code may be obtained at <a href="http://www.eclipse.org">http://www.eclipse.org</a>.</p>
++
++<h3>Third Party Content</h3>
++
++<p>The Content includes items that have been sourced from third parties as set out below. If you 
++did not receive this Content directly from the Eclipse Foundation, the following is provided 
++for informational purposes only, and you should look to the Redistributor&rsquo;s license for 
++terms and conditions of use.</p>
++
++<h4>JSch 0.1.28</h4>
++
++<p>The plug-in is based on software developed by Atsuhiko Yamanaka, JCraft, Inc., and others and
++made available at <a href="http://www.jcraft.com/">http://www.jcraft.com/</a>.
++
++<p>The Content shall be defined as the &quot;JSch&quot;.</p>
++
++<p>Use of JSch is governed by the terms and conditions of the following license:</p>
++
++<blockquote>Copyright (c) 2002,2006 ymnk, JCraft,Inc. All rights reserved.<br>
++<br>
++Redistribution and use in source and binary forms, with or without<br>
++modification, are permitted provided that the following conditions are met:<br>
++<br>
++  1. Redistributions of source code must retain the above copyright notice,<br>
++     this list of conditions and the following disclaimer.<br>
++<br>
++  2. Redistributions in binary form must reproduce the above copyright<br>
++     notice, this list of conditions and the following disclaimer in<br>
++     the documentation and/or other materials provided with the distribution.<br>
++<br>
++  3. The names of the authors may not be used to endorse or promote products<br>
++     derived from this software without specific prior written permission.<br>
++<br>
++THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,<br>
++INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND<br>
++FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL JCRAFT,<br>
++INC. OR ANY CONTRIBUTORS TO THIS SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT,<br>
++INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT<br>
++LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,<br>
++OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF<br>
++LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING<br>
++NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,<br>
++EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
++</blockquote>
++
++<p>NOTE:  Although the SSH2 protocol depends on cryptographic algorithms, JSch relies on a Java&trade; Cryptography Extension (JCE)
++to provide this functionality and does not in itself contain any cryptographic code.</p>
++
++<small>Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.</small>
++
++</body>
++</html>
++
+diff -ruN source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/META-INF/eclipse.inf source-tree/baseLocation/plugins/jsch-0.1.28/resources/META-INF/eclipse.inf
+--- source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/META-INF/eclipse.inf	1970-01-01 01:00:00.000000000 +0100
++++ source-tree/baseLocation/plugins/jsch-0.1.28/resources/META-INF/eclipse.inf	2006-06-29 19:42:00.000000000 +0200
+@@ -0,0 +1,2 @@
++#Thu Jun 29 19:42:18 EDT 2006
++pack200.conditioned=true
+diff -ruN source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/META-INF/MANIFEST.MF source-tree/baseLocation/plugins/jsch-0.1.28/resources/META-INF/MANIFEST.MF
+--- source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/META-INF/MANIFEST.MF	1970-01-01 01:00:00.000000000 +0100
++++ source-tree/baseLocation/plugins/jsch-0.1.28/resources/META-INF/MANIFEST.MF	2006-05-10 15:13:00.000000000 +0200
+@@ -0,0 +1,13 @@
++Manifest-Version: 1.0
++Bundle-ManifestVersion: 2
++Bundle-Version: 0.1.28
++Export-Package: com.jcraft.jsch, com.jcraft.jsch.jce;x-internal:=true,
++  com.jcraft.jsch.jcraft;x-internal:=true
++Created-By: 1.4.0 (Sun Microsystems Inc.)
++Bundle-SymbolicName: com.jcraft.jsch
++Bundle-Name: %bundleName
++Bundle-Localization: plugin
++Bundle-Vendor: %venderName
++Bundle-ClassPath: .
++Bundle-RequiredExecutionEnvironment: J2SE-1.4
++
+diff -ruN source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/plugin.properties source-tree/baseLocation/plugins/jsch-0.1.28/resources/plugin.properties
+--- source-tree/baseLocation/plugins/jsch-0.1.28.orig/resources/plugin.properties	1970-01-01 01:00:00.000000000 +0100
++++ source-tree/baseLocation/plugins/jsch-0.1.28/resources/plugin.properties	2006-05-02 09:10:00.000000000 +0200
+@@ -0,0 +1,13 @@
++###############################################################################
++# Copyright (c) 2006 IBM Corporation and others.
++# All rights reserved. This program and the accompanying materials
++# are made available under the terms of the Eclipse Public License v1.0
++# which accompanies this distribution, and is available at
++# http://www.eclipse.org/legal/epl-v10.html
++#
++# Contributors:
++#     Atsuhiko Yamanaka, JCraft,Inc. - initial API and implementation.
++#     IBM Corporation - implementation
++###############################################################################
++venderName=JCraft, Inc.
++bundleName=JSch


Property changes on: trunk/eclipse/debian/patches/eclipse-jsch-build-files.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/eclipse/debian/rules
===================================================================
--- trunk/eclipse/debian/rules	2006-10-19 21:09:16 UTC (rev 2632)
+++ trunk/eclipse/debian/rules	2006-10-22 02:26:58 UTC (rev 2633)
@@ -46,6 +46,7 @@
 
 SOURCE=$(shell ls upstream/eclipse*.tar.bz2)
 SOURCE_ICU4J=$(shell ls upstream/icu4j*.tar.bz2)
+SOURCE_JSCH=$(shell ls upstream/jsch*.tar.bz2)
 
 SOURCE_TREE=$(CURDIR)/source-tree
 BUILD_TREE=$(CURDIR)/build-tree
@@ -130,6 +131,7 @@
 	eclipse-disable-junit4-apt \
 	eclipse-libswt-xpcomgcc4 \
 	eclipse-icu4j-build-files \
+	eclipse-jsch-build-files \
 	eclipse-awt-libpath \
 
 #	eclipse-icon \
@@ -234,6 +236,9 @@
 	mv icu4j-build-temp/eclipseProjects/com.ibm.icu.base icu4j-build; \
 	rm -r icu4j-build-temp
 
+	@cd $(SOURCE_TREE)/baseLocation/plugins; \
+	tar xfj ../../../$(SOURCE_JSCH); \
+
 	touch uncompress-stamp
 
 ifeq ($(with_dpatch),yes)
@@ -361,6 +366,11 @@
 	popd; \
 	mv icu4j-build/com.ibm.icu/com.ibm.icu_3.4.5.jar .
 
+	# Build jsch
+	cd $(SOURCE_TREE)/baseLocation/plugins/jsch-0.1.28; \
+	ant dist; \
+	mv dist/lib/com.jcraft.jsch_0.1.28.jar ..
+
 	# Update build ids in configuration files
 	cd $(SOURCE_TREE) && \
 	$(JVM_ANT_RUN) \




More information about the pkg-java-commits mailing list